## org.biojava.bio.gui
Class PlainStyle

    java.lang.Object
      |
      +--org.biojava.bio.gui.PlainStyle

public class PlainStyle
extends java.lang.Object
implements SymbolStyle

A simple implementation of SymbolStyle that just uses a single paint for outlines and a single paint for filling.

Author:
  Matthew Pocock

Constructor Summary
`PlainStyle()`
`PlainStyle(java.awt.Paint outlinePaint, java.awt.Paint fillPaint)`

Method Summary
`java.awt.Paint` `fillPaint(Symbol r)` Return the fill paint for a symbol.
`java.awt.Paint` `outlinePaint(Symbol r)` Return the outline paint for a symbol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlainStyle

    public PlainStyle()

### PlainStyle

    public PlainStyle(java.awt.Paint outlinePaint,
                      java.awt.Paint fillPaint)

Method Detail

### outlinePaint

    public java.awt.Paint outlinePaint(Symbol r)

  Description copied from interface: SymbolStyle
  Return the outline paint for a symbol.
  Specified by:
    outlinePaint in interface SymbolStyle
  Tags copied from interface: SymbolStyle
  Parameters:
    `r` - the symbol to outline
  Returns:
    the Paint to use
  Throws:
    IllegalSymbolException - if this SymbolStyle can not handle the symbol

### fillPaint

    public java.awt.Paint fillPaint(Symbol r)

  Description copied from interface: SymbolStyle
  Return the fill paint for a symbol.
  Specified by:
    fillPaint in interface SymbolStyle
  Tags copied from interface: SymbolStyle
  Parameters:
    `r` - the symbol to fill
  Returns:
    the Paint to use
  Throws:
    IllegalSymbolException - if this SymbolStyle can not handle the symbol